std::once_flag(3)

NAME
std::once_flag -

SYNOPSIS

  Public Member Functions
constexpr once_flag () noexcept=default
once_flag (const once_flag &)=delete
once_flag & operator= (const once_flag &)=delete

  Friends
template<typename _Callable , typename... _Args> void call_once (once_flag &__once, _Callable &&__f, _Args &&...__args)

Detailed Description

once_flag

Definition at line 726 of file mutex.

Constructor & Destructor Documentation

  constexpr std::once_flag::once_flag () [default], [noexcept]

Constructor.

  std::once_flag::once_flag (const once_flag &) [delete]

Deleted copy constructor.

Member Function Documentation

  once_flag& std::once_flag::operator= (const once_flag &) [delete]

Deleted assignment operator.

Friends And Related Function Documentation

  template<typename _Callable , typename... _Args> void call_once (once_flag &__once, _Callable &&__f, _Args &&...__args) [friend]

call_once

Definition at line 771 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.